API to update template late fees configuration by template id

http
PATCH https://services.leadconnectorhq.com/invoices/template/{templateId}/late-fees-configuration

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
templateIdstringYes6578278e879ad2646715ba9cTemplate Id

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9caccount Id / company Id based on altType
altTypestringYesaccountAlt Type Possible values: 'account'
lateFeesConfigurationobjectYeslate fees configuration

Responses

200 - Successful response
  • _id (string, required): Template Id Example: 6578278e879ad2646715ba9c

  • altId (string, required): Account Id or Agency Id Example: 6578278e879ad2646715ba9c

  • altType (string, required): Possible values: 'account'

  • name (string, required): Name of the Template Example: New Template

  • businessDetails (object, required): Business Details

  • currency (string, required): Currency Example: USD

  • discount (object): Discount

  • items (string[], required): Invoice Items

  • invoiceNumberPrefix (string): prefix for invoice number Example: INV-

  • total (number, required): Total Amount Example: 999

  • createdAt (string, required): created at Example: 2023-12-12T09:27:42.355Z

  • updatedAt (string, required): updated at Example: 2023-12-12T09:27:42.355Z

json
{
  "_id": "6578278e879ad2646715ba9c",
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "name": "New Template",
  "businessDetails": {
    "name": "Alex",
    "address": {
      "addressLine1": "9931 Beechwood",
      "city": "St. Houston",
      "state": "TX",
      "countryCode": "USA",
      "postalCode": "559-6993"
    },
    "phoneNo": "+1-214-559-6993",
    "website": "www.example.com"
  },
  "currency": "USD",
  "discount": {
    "type": "percentage",
    "value": 0
  },
  "items": [
    {
      "taxes": [],
      "_id": "c6tZZU0rJBf30ZXx9Gli",
      "productId": "c6tZZU0rJBf30ZXx9Gli",
      "priceId": "c6tZZU0rJBf30ZXx9Gli",
      "currency": "USD",
      "name": "Macbook Pro",
      "qty": 1,
      "amount": 999
    }
  ],
  "invoiceNumberPrefix": "INV-",
  "total": 999,
  "createdAt": "2023-12-12T09:27:42.355Z",
  "updatedAt": "2023-12-12T09:27:42.355Z"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PATCH 'https://services.leadconnectorhq.com/invoices/template/YOUR_templateId/late-fees-configuration' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account"
}'

Last updated October 26, 2026

Was this page helpful?